osl::checkmate::Dfpn::NodeBase Struct Reference
Inheritance diagram for osl::checkmate::Dfpn::NodeBase:

## Public Attributes

HashKey | hash_key
PathEncoding | path
ProofDisproof | threshold
Move | moved
PieceStand | white_stand
DfpnRecord | record
DfpnPathRecord * | path_record

## Detailed Description

Definition at line 336 of file dfpn.cc.

## Member Data Documentation

## hash_key

HashKey osl::checkmate::Dfpn::NodeBase::hash_key

Definition at line 339 of file dfpn.cc.

Referenced by osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::grandParentSimulation(), osl::checkmate::Dfpn::hasCheckmateMove(), osl::checkmate::Dfpn::hasEscapeMove(), osl::checkmate::Dfpn::Tree::newVisit(), osl::checkmate::Dfpn::proofOracleAttack(), osl::checkmate::Dfpn::proofOracleDefense(), and osl::checkmate::Dfpn::tryProofMain().

## moved

Move osl::checkmate::Dfpn::NodeBase::moved

Definition at line 342 of file dfpn.cc.

Referenced by osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::grandParentSimulationSuitable(), osl::checkmate::Dfpn::hasCheckmateMove(), osl::checkmate::Dfpn::hasEscapeMove(), osl::checkmate::Dfpn::Tree::newVisit(), osl::checkmate::Dfpn::proofOracleAttack(), osl::checkmate::Dfpn::proofOracleDefense(), and osl::checkmate::Dfpn::tryProofMain().

## path

PathEncoding osl::checkmate::Dfpn::NodeBase::path

Definition at line 340 of file dfpn.cc.

Referenced by osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::blockingSimulation(), osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::grandParentSimulation(), osl::checkmate::Dfpn::hasCheckmateMove(), osl::checkmate::Dfpn::hasEscapeMove(), osl::checkmate::Dfpn::Node::newPath(), osl::checkmate::Dfpn::Tree::newVisit(), osl::checkmate::Dfpn::proofOracleAttack(), osl::checkmate::Dfpn::proofOracleDefense(), osl::checkmate::Dfpn::Node::setLoopDetection(), and osl::checkmate::Dfpn::tryProofMain().

## path_record

DfpnPathRecord* osl::checkmate::Dfpn::NodeBase::path_record

Definition at line 346 of file dfpn.cc.

Referenced by osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::blockingSimulation(), osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::grandParentSimulation(), osl::checkmate::Dfpn::hasCheckmateMove(), osl::checkmate::Dfpn::hasEscapeMove(), osl::checkmate::Dfpn::proofOracleAttack(), osl::checkmate::Dfpn::proofOracleDefense(), osl::checkmate::Dfpn::Node::setLoopDetection(), and osl::checkmate::Dfpn::tryProofMain().

## record

DfpnRecord osl::checkmate::Dfpn::NodeBase::record

Definition at line 345 of file dfpn.cc.

Referenced by osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::blockingSimulation(), osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::grandParentSimulation(), osl::checkmate::Dfpn::hasCheckmateMove(), osl::checkmate::Dfpn::hasEscapeMove(), osl::checkmate::Dfpn::proofOracleAttack(), osl::checkmate::Dfpn::proofOracleDefense(), osl::checkmate::Dfpn::Node::setCheckmateAttack(), osl::checkmate::Dfpn::Node::setCheckmateChildInDefense(), osl::checkmate::Dfpn::Node::setCheckmateDefense(), osl::checkmate::Dfpn::Node::setLoopDetection(), osl::checkmate::Dfpn::Node::setNoCheckmateAttack(), osl::checkmate::Dfpn::Node::setNoCheckmateChildInAttack(), osl::checkmate::Dfpn::Node::setNoCheckmateDefense(), and osl::checkmate::Dfpn::tryProofMain().

## threshold

ProofDisproof osl::checkmate::Dfpn::NodeBase::threshold

Definition at line 341 of file dfpn.cc.

Referenced by osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::blockingSimulation(), osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::grandParentSimulation(), osl::checkmate::Dfpn::hasCheckmateMove(), osl::checkmate::Dfpn::hasEscapeMove(), and osl::checkmate::Dfpn::tryProofMain().

## white_stand

PieceStand osl::checkmate::Dfpn::NodeBase::white_stand

Definition at line 343 of file dfpn.cc.

Referenced by osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::hasCheckmateMove(), osl::checkmate::Dfpn::hasEscapeMove(), osl::checkmate::Dfpn::Tree::newVisit(), osl::checkmate::Dfpn::Node::nextWhiteStand(), osl::checkmate::Dfpn::proofOracleAttack(), osl::checkmate::Dfpn::proofOracleDefense(), and osl::checkmate::Dfpn::tryProofMain().

The documentation for this struct was generated from the following file:

- dfpn.cc